<ion-grid style="display: flex;">
  <ion-row justify-content-center>
    <ion-col align-self-center>
      <form #f="ngForm" (ngSubmit)="login(f)">
        <div text-center style="margin:20px 0px;">
          <img src="" />
        </div>
        <div padding>
          <ion-item>
            <ion-label position="floating">Username</ion-label>
            <ion-input type="text" name="user" [(ngModel)]="username" required></ion-input>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Senha</ion-label>
            <ion-input type="password" name="password" [(ngModel)]="password" required (keyup.enter)="login(f)">
            </ion-input>
          </ion-item>
        </div>
        <div padding>
          <ion-button *ngIf="btnEnabled" class="btn-login" expand="block" [disabled]="!f.valid" type="submit">
            Entrar
          </ion-button>
          <ion-button *ngIf="!btnEnabled" class="btn-login" expand="block">
            <ion-spinner name="crescent"></ion-spinner>
          </ion-button>
        </div>
        <div padding>
          <ion-button class="btn-login" expand="block" fill="outline" routerDirection="'root'"
            routerLink="/usuarios-novo" routerLinkActive="active">Cadastrar-se
          </ion-button>
        </div>
        <div text-center padding>
          <ion-list lines="none">
            <ion-item style="font-size: 12px;"><a style="text-align: center; width: 100%;" href="https://google.com/"
                target="_blank">Termos de Privacidade</a></ion-item>
          </ion-list>
        </div>
      </form>
    </ion-col>
  </ion-row>
</ion-grid>